page.margin.outer
Prev | Pagination and General Styles | Next

## page.margin.outer

page.margin.outer — The outer page margin

## Synopsis

    <xsl:param name="page.margin.outer">
      <xsl:choose>
        <xsl:when test="$double.sided != 0">0.75in</xsl:when>
        <xsl:otherwise>1in</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

## Description

The outer page margin is the distance from non-bound edge of the page to the outer edge of the last column of text.

In left-to-right text direction, this is the right margin of recto (front side) pages. For single-sided output, it is the right margin of all pages.

In right-to-left text direction, this is the left margin of recto pages. For single-sided output, this is the left margin of all pages.

### Note

Current versions (at least as of version 4.13) of the XEP XSL-FO processor do not correctly handle these margin settings for documents with right-to-left text direction. The workaround in that situation is to reverse the values for `page.margin.inner` and `page.margin.outer`, until this bug is fixed by RenderX. It does not affect documents with left-to-right text direction.

Prev | Up | Next
page.margin.inner | Home | page.margin.top